#
# @file   gw_server.mk
# @author David Weber <david.weber@octavosystems.com>
# @date   02/14/2019
#
# @brief gw_server module implementation
#
# Copyright © 2019 Octavo Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

SRCS = gw_server.cc socket.cc server_socket.cc client_socket.cc

OUTNAME = gw_server
OBJS = $(SRCS:.c?=.o)

CC = g++

CFLAGS = -I. -D PROG_NAME=\"$(OUTNAME)\"

all: $(OUTNAME)

$(OUTNAME) : $(OBJS)
	@$(CC) $(CFLAGS) $(OBJS) -o $(OUTNAME)

clean:
	@rm -f $(OUTNAME)
