/*
 * @file   msg_types.h
 * @author David Weber <david.weber@octavosystems.com>
 * @date   02/10/2019
 *
 * @brief msg_types module implementation
 *
 * Copyright © 2019 Octavo Systems, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __MSG_TYPES_H__
#define __MSG_TYPES_H__

#include <stdint.h>

#define MSG_DATA_MAX_SIZE (2 * 1024)

#pragma pack(push, 1)

typedef struct msg_header_s
{
  size_t length;
  uint32_t msg_id;
  uint32_t src_id;
  uint32_t seq_num;
} msg_header_t;

#pragma pack(pop)

#endif //__MSG_TYPES_H__

