/*
 * @file   rtstatus.h
 * @author David Weber <david.weber@octavosystems.com>
 * @date   02/14/2019
 *
 * @brief rtstatus module implementation
 *
 * Copyright © 2019 Octavo Systems, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __RTSTATUS_H__
#define __RTSTATUS_H__

#define RTSTATUS_SOCKET_GROUP            100

#ifdef SUCCESS
#undef SUCCESS
#endif

typedef enum rt_status_e
{
  SUCCESS = 0,
  FAILURE = 1,
  EXIT    = 2,

  SOCKET_OPEN_FAILURE = RTSTATUS_SOCKET_GROUP,
  SOCKET_BIND_FAILURE,
  SOCKET_LISTEN_FAILURE,
  SOCKET_ACCEPT_FAILURE,
  SOCKET_CONNECT_FAILURE,
  SOCKET_SEND_FAILURE,
  SOCKET_RECV_FAILURE,
  SOCKET_DISCONNECT_DETECTED,
  SOCKET_INVALID_IP_ADDRESS,
} rt_status_t;

#endif // __RTSTATUS_H__

